Topic: Instllation of MDB via Cli Error in my project

teddy@infinityworx.co priority asked 9 months ago


Expected behavior Success-full Installation of MDB on my angular 13 application. Actual behavior

❯ ng add mdb-angular-ui-kit ℹ Using package manager: npm ⚠ Unable to find compatible package. Using 'latest' tag. ⚠ Package has unmet peer dependencies. Adding the package may not succeed.

The package mdb-angular-ui-kit@1.6.1 will be installed and executed. Would you like to proceed? Yes npm ERR! code ERESOLVE npm ERR! ERESOLVE unable to resolve dependency tree npm ERR! npm ERR! While resolving: ims-erp-web@0.0.0 npm ERR! Found: @angular/animations@13.2.3 npm ERR! node_modules/@angular/animations npm ERR! @angular/animations@"~13.2.0" from the root project npm ERR! npm ERR! Could not resolve dependency: npm ERR! peer @angular/animations@"^12.0.0" from mdb-angular-ui-kit@1.6.1 npm ERR! node_modules/mdb-angular-ui-kit npm ERR! mdb-angular-ui-kit@"1.6.1" from the root project npm ERR! npm ERR! Fix the upstream dependency conflict, or retry npm ERR! this command with --force, or --legacy-peer-deps npm ERR! to accept an incorrect (and potentially broken) dependency resolution. npm ERR! npm ERR! See /Users/teddy/.npm/eresolve-report.txt for a full report.

npm ERR! A complete log of this run can be found in: npm ERR! /Users/teddy/.npm/_logs/2022-02-19T12_41_49_058Z-debug.log

What mistake am i making Resources (screenshots, code snippets etc.)


Arkadiusz Idzikowski staff answered 9 months ago


MDB5 Angular v1.6.1 is not compatible with Angular 13, please use the latest Angular v12 version instead. A new version with support for Angular v13 should be released 28.02.2022.


teddynyambe priority commented 9 months ago

Thanks, the documentation needs to be streamlined for B5 been mixing the two.

Finally, how do i get in touch with sales, I have an urgent matter that needs their attention.

Otherwise thanks, its a great library.



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Resolved

Specification of the issue

  • User: Priority
  • Premium support: Yes
  • Technology: MDB Angular
  • MDB Version: MDB5 1.6.1
  • Device: Mackbook
  • Browser: Safari
  • OS: MacOS 12.2.1
  • Provided sample code: No
  • Provided link: No